/****************************************************************/
/*     Dcodage / codage AX25   sur DSPic      J.Senlis 2005    */
/****************************************************************/

#include "p30f6014.h"
#include "float.h"
#include "math.h"
#include "stdio.h"
#include "stdlib.h"

//float fcy=4*8000000; //quartz 8MHz PLL 16        
float fcy=4*7372800;	//cartes de TP

void envoi_menu(void)
	{envoi_char(12);
	envoi_chaine("\n\r   ******************************************************\n\r"); 
	envoi_chaine("   *   DECODAGE CODAGE AX25 PAR DSPic J.S.              *\n\r"); 
	envoi_chaine("   *   Sortie HP (poste)  ---> Entree AN7 (DSPic)       *\n\r");
	envoi_chaine("   *   Entre micro       <--- Sortie pwm PORTD7        *\n\r");
	envoi_chaine("   *   Communication via TERMINAL ASCII 38400bds,8,1,N  *\n\r");
	envoi_chaine("   ******************************************************\n\r"); 
	envoi_chaine("\n\r M : Menu\n\r"); 
	envoi_chaine(" S ou ESC : Stop\n\r");
	envoi_chaine(" I : Decoder APRS (NRZI FSK 1200/2200Hz)\n\r");
	envoi_chaine(" J : Envoyer message APRS \n\r");
	}

int main(void)
	{char c; 
	TRISD=0;
	init_uart();
	envoi_menu();	
	do 
	  {c=toupper(lit_char());
	   crlf();
	   switch(c)
	  		{case 'M':adc_off();envoi_menu();crlf();ok();break;	   
	  		 case 'S':
			 case 27 :adc_off();crlf();ok();break;	
			 case 'I':DecodeAX25();break;
			 case 'J':TrameAX25();break;
	 		}
	  } while(1==1);                                
}

